Source: libloc
Maintainer: libloc maintainers <team+libloc@tracker.debian.org>
Uploaders: 
 Jochen Sprickerhof <jspricke@debian.org>,
 Hans-Christoph Steiner <hans@eds.org>,
 Stefan Schantl <stefan.schantl@ipfire.org>,
 Michael Tremer <michael.tremer@ipfire.org>,
Section: net
Priority: optional
Standards-Version: 4.6.1
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 asciidoc,
 intltool,
 libssl-dev,
 libsystemd-dev,
 pkg-config,
 python3-all-dev,
 systemd,
 xsltproc,
 docbook-xsl,
Rules-Requires-Root: no
Homepage: https://location.ipfire.org/
Vcs-Git: https://salsa.debian.org/debian/libloc.git
Vcs-Browser: https://salsa.debian.org/debian/libloc
Description: IP geolocation query library
 libloc is a lightweight library to query the IPFire Location database and
 determine the location of someone else on the Internet based on their IP
 address.

Package: libloc1
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libloc-database | location,
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the shared library.

Package: libloc-dev
Architecture: any
Section: libdevel
Depends:
 libloc1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package provides the headers and development files needed to use libloc
 in your own programs.

Package: location
Architecture: all
Depends:
 python3-location,
 ${misc:Depends},
 ${python3:Depends},
Replaces: location-importer (<< 0.9.14-1~)
Breaks: location-importer (<< 0.9.14-1~)
Description: ${source:Synopsis} (CLI utilities)
 ${source:Extended-Description}
 .
 This package provides CLI utilities based on libloc.

Package: python3-location
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-psycopg2,
Replaces:
 location-python (<< 0.9.14-1~),
Breaks:
 location-python (<< 0.9.14-1~),
 location-importer (<< 0.9.14-1~),
Multi-Arch: foreign
Description: ${source:Synopsis} (Python 3 bindings)
 ${source:Extended-Description}
 .
 This package provides the Python 3 bindings for libloc.
